Package ghidra.app.plugin.languages.sleigh

# Class SleighLanguages.ConsVisitForPcode

java.lang.Object
ghidra.app.plugin.languages.sleigh.SleighLanguages.ConsVisitForPcode

All Implemented Interfaces:
  `ConstructorEntryVisitor`, `VisitorResults`

Enclosing class:
  `SleighLanguages`

protected static class SleighLanguages.ConsVisitForPcode extends Object implements ConstructorEntryVisitor
An internal visitor The `SleighLanguages.traverseAllPcodeOps(SleighLanguage, PcodeOpEntryVisitor)` method uses this visitor to traverse every constructor a given language. For each constructor, it then applies another (anonymous) visitor to traverse each Pcode operation in the visited constructor. That anonymous visitor wraps the visitor given by the caller.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final PcodeOpEntryVisitor`
  `visitor`

  ### Fields inherited from interface ghidra.app.plugin.languages.sleigh.VisitorResults

  `CONTINUE, FINISHED, TERMINATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsVisitForPcode(PcodeOpEntryVisitor visitor)`
  Prepare to traverse a constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `visit(SubtableSymbol subtable, DisjointPattern pattern, Constructor cons)`
  Callback to visit a constructor

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### visitor

    protected final PcodeOpEntryVisitor visitor

- ## Constructor Details

  - ### ConsVisitForPcode

    public ConsVisitForPcode(PcodeOpEntryVisitor visitor)
    Prepare to traverse a constructor
    Parameters:
      `visitor` - the wrapped Pcode operation visitor to invoke

- ## Method Details

  - ### visit

    public int visit(SubtableSymbol subtable, DisjointPattern pattern, Constructor cons)
    Description copied from interface: `ConstructorEntryVisitor`
    Callback to visit a constructor
    Specified by:
      `visit` in interface `ConstructorEntryVisitor`
    Parameters:
      `subtable` - the table containing the constructor
      `pattern` - the pattern corresponding to the constructor
      `cons` - the constructor
    Returns:
      a value from `VisitorResults`